package re.jimmitry.apps974.furious;
import re.jimmitry.apps974.furious.*;
import re.jimmitry.apps974.fursys.*;
import re.jimmitry.apps974.wsfurious.*;
import re.jimmitry.apps974.wsfurious.xsd.*;
public class SQL_STRING {
public static FurSYS_DATA CHR(FurSYS_DATA DATA1) {
  try {
    if (DATA1.isNull) {
      return new FurSYS_DATA(true, "(null)");
    } else {
      return new FurSYS_DATA(false, ""+((int) DATA1.DATA.toCharArray()[0]));
    }
  } catch (Exception e) {
    return new FurSYS_DATA(true, "(null)");
  }
}
public static FurSYS_DATA CONCAT(FurSYS_DATA str1, FurSYS_DATA str2) {
  if (str1.isNull || str2.isNull) {
    return new FurSYS_DATA(true, "(null)");
  } else {
    return new FurSYS_DATA(false, str1.DATA+str2.DATA);
  }
}
public static FurSYS_DATA INSTR(FurSYS_DATA DATA1, FurSYS_DATA DATA2) {
  try {
    if (DATA1.isNull || DATA2.isNull) {
      return new FurSYS_DATA(true, "(null)");
    } else {
      return new FurSYS_DATA(false, ""+DATA1.DATA.indexOf(DATA2.DATA));
    }
  } catch (Exception e) {
    return new FurSYS_DATA(true, "(null)");
  }
}
public static FurSYS_DATA INSTR(FurSYS_DATA DATA1, FurSYS_DATA DATA2, FurSYS_DATA DATA3) {
  try {
    if (DATA1.isNull || DATA2.isNull || DATA3.isNull) {
      return new FurSYS_DATA(true, "(null)");
    } else {
      return new FurSYS_DATA(false, ""+DATA1.DATA.indexOf(DATA2.DATA, Integer.parseInt(DATA3.DATA)));
    }
  } catch (Exception e) {
    return new FurSYS_DATA(true, "(null)");
  }
}
public static FurSYS_DATA ITRIM(FurSYS_DATA DATA1) {
  try {
    if (DATA1.isNull) {
      return new FurSYS_DATA(true, "(null)");
    } else {
      return new FurSYS_DATA(false, ""+(Fur_String.ITRIM(DATA1.DATA)));
    }
  } catch (Exception e) {
    return new FurSYS_DATA(true, "(null)");
  }
}
public static FurSYS_DATA LENGTH(FurSYS_DATA str) {
  if (str.isNull) {
    return new FurSYS_DATA(true, "(null)");
  } else {
    return new FurSYS_DATA(false, ""+str.DATA.length());
  }
}
public static FurSYS_DATA LIKESPECIAL(FurSYS_DATA DATA) {
  try {
    if (DATA.isNull) {
      return new FurSYS_DATA(true, "(null)");
    } else {
      return new FurSYS_DATA(false, "'%"+DATA.DATA.replace("'", "\\'").replace("%", "\\%").replace("_", "\\_")+"%'");
    }
  } catch (Exception e) {
    return new FurSYS_DATA(true, "(null)");
  }
}
public static FurSYS_DATA LIKESPECIAL2(FurSYS_DATA DATA) {
  try {
    if (DATA.isNull) {
      return new FurSYS_DATA(true, "(null)");
    } else {
      return new FurSYS_DATA(false, "'%"+DATA.DATA.replace("'", "''").replace("%", "\\%").replace("_", "\\_")+"%'");
    }
  } catch (Exception e) {
    return new FurSYS_DATA(true, "(null)");
  }
}
public static FurSYS_DATA LOWER(FurSYS_DATA DATA1) {
  try {
    if (DATA1.isNull) {
      return new FurSYS_DATA(true, "(null)");
    } else {
      return new FurSYS_DATA(false, ""+DATA1.DATA.toLowerCase());
    }
  } catch (Exception e) {
    return new FurSYS_DATA(true, "(null)");
  }
}
public static FurSYS_DATA LPAD(FurSYS_DATA DATA1, FurSYS_DATA DATA2, FurSYS_DATA DATA3) {
  try {
    if (DATA1.isNull || DATA2.isNull || DATA3.isNull) {
      return new FurSYS_DATA(true, "(null)");
    } else {
      String str=DATA1.DATA;
      for(int i=DATA1.DATA.length();i<Integer.parseInt(DATA3.DATA);i++) {
        str=DATA2.DATA+str;
      }
      return new FurSYS_DATA(false, str);
    }
  } catch (Exception e) {
    return new FurSYS_DATA(true, "(null)");
  }
}
public static FurSYS_DATA LRTRIM(FurSYS_DATA DATA1) {
  try {
    if (DATA1.isNull) {
      return new FurSYS_DATA(true, "(null)");
    } else {
      return new FurSYS_DATA(false, ""+(Fur_String.LRTRIM(DATA1.DATA)));
    }
  } catch (Exception e) {
    return new FurSYS_DATA(true, "(null)");
  }
}
public static FurSYS_DATA LTRIM(FurSYS_DATA DATA1) {
  try {
    if (DATA1.isNull) {
      return new FurSYS_DATA(true, "(null)");
    } else {
      return new FurSYS_DATA(false, ""+(Fur_String.LTRIM(DATA1.DATA)));
    }
  } catch (Exception e) {
    return new FurSYS_DATA(true, "(null)");
  }
}
public static FurSYS_DATA REPLACE(FurSYS_DATA DATA1, FurSYS_DATA DATA2, FurSYS_DATA DATA3) {
  try {
    if (DATA1.isNull || DATA2.isNull || DATA3.isNull) {
      return new FurSYS_DATA(true, "(null)");
    } else {
      return new FurSYS_DATA(false, ""+DATA1.DATA.replace(DATA2.DATA, DATA3.DATA));
    }
  } catch (Exception e) {
    return new FurSYS_DATA(true, "(null)");
  }
}
public static FurSYS_DATA RPAD(FurSYS_DATA DATA1, FurSYS_DATA DATA2, FurSYS_DATA DATA3) {
  try {
    if (DATA1.isNull || DATA2.isNull || DATA3.isNull) {
      return new FurSYS_DATA(true, "(null)");
    } else {
      String str=DATA1.DATA;
      for(int i=DATA1.DATA.length();i<Integer.parseInt(DATA3.DATA);i++) {
        str+=DATA2.DATA;
      }
      return new FurSYS_DATA(false, str);
    }
  } catch (Exception e) {
    return new FurSYS_DATA(true, "(null)");
  }
}
public static FurSYS_DATA RTRIM(FurSYS_DATA DATA1) {
  try {
    if (DATA1.isNull) {
      return new FurSYS_DATA(true, "(null)");
    } else {
      return new FurSYS_DATA(false, ""+(Fur_String.RTRIM(DATA1.DATA)));
    }
  } catch (Exception e) {
    return new FurSYS_DATA(true, "(null)");
  }
}
public static FurSYS_DATA STRMEMBERID(FurSYS_DATA DATA1) {
  String str="";
  try {
    for(int i=0;i<50;i++) {
      int j= (int) java.lang.Math.floor(java.lang.Math.random()*Double.parseDouble(DATA1.DATA));
      j+=97;
      str+=((char) j);
    }
    return new FurSYS_DATA(false, str);
  } catch (Exception e) {return new FurSYS_DATA(true, "(null)");}
  
}
public static FurSYS_DATA SUBLRCHAR(FurSYS_DATA DATA1, FurSYS_DATA DATA2) {
  try {
    if (DATA1.isNull || DATA2.isNull) {
      return new FurSYS_DATA(true, "(null)");
    } else {
      return new FurSYS_DATA(false, ""+DATA1.DATA.substring(0, DATA1.DATA.length()-Integer.parseInt(DATA2.DATA)).substring(Integer.parseInt(DATA2.DATA)));
    }
  } catch (Exception e) {
    return new FurSYS_DATA(true, "(null)");
  }
}
public static FurSYS_DATA SUBSTR(FurSYS_DATA DATA1, FurSYS_DATA DATA2) {
  try {
    if (DATA1.isNull || DATA2.isNull) {
      return new FurSYS_DATA(true, "(null)");
    } else {
      if (Integer.parseInt(DATA2.DATA)>=DATA1.DATA.length()) return new FurSYS_DATA(false, "");
      else return new FurSYS_DATA(false, ""+DATA1.DATA.substring(Integer.parseInt(DATA2.DATA)));
    }
  } catch (Exception e) {
    return new FurSYS_DATA(true, "(null)");
  }
}
public static FurSYS_DATA SUBSTR(FurSYS_DATA DATA1, FurSYS_DATA DATA2, FurSYS_DATA DATA3) {
  try {
    if (DATA1.isNull || DATA2.isNull || DATA3.isNull) {
      return new FurSYS_DATA(true, "(null)");
    } else {
      if (Integer.parseInt(DATA2.DATA)>=DATA1.DATA.length() || Integer.parseInt(DATA3.DATA)<Integer.parseInt(DATA2.DATA)) return new FurSYS_DATA(false, "");
      else {
        if (Integer.parseInt(DATA3.DATA)>DATA1.DATA.length()) return new FurSYS_DATA(false, ""+DATA1.DATA.substring(Integer.parseInt(DATA2.DATA), DATA1.DATA.length()));
        else return new FurSYS_DATA(false, ""+DATA1.DATA.substring(Integer.parseInt(DATA2.DATA), Integer.parseInt(DATA3.DATA)));
      }
    }
  } catch (Exception e) {
    return new FurSYS_DATA(true, "(null)");
  }
}
public static FurSYS_DATA TRIM(FurSYS_DATA DATA1) {
  try {
    if (DATA1.isNull) {
      return new FurSYS_DATA(true, "(null)");
    } else {
      return new FurSYS_DATA(false, ""+(Fur_String.TRIM(DATA1.DATA)));
    }
  } catch (Exception e) {
    return new FurSYS_DATA(true, "(null)");
  }
}
public static FurSYS_DATA TXT(FurSYS_DATA DATA) {
  try {
    if (DATA.isNull) {
      return new FurSYS_DATA(true, "(null)");
    } else {
      return new FurSYS_DATA(false, "'"+DATA.DATA.replace("'", "\\'")+"'");
    }
  } catch (Exception e) {
    return new FurSYS_DATA(true, "(null)");
  }
}
public static FurSYS_DATA TXT2(FurSYS_DATA DATA) {
  try {
    if (DATA.isNull) {
      return new FurSYS_DATA(true, "(null)");
    } else {
      return new FurSYS_DATA(false, "'"+DATA.DATA.replace("'", "''")+"'");
    }
  } catch (Exception e) {
    return new FurSYS_DATA(true, "(null)");
  }
}
public static FurSYS_DATA UPPER(FurSYS_DATA DATA1) {
  try {
    if (DATA1.isNull) {
      return new FurSYS_DATA(true, "(null)");
    } else {
      return new FurSYS_DATA(false, ""+DATA1.DATA.toUpperCase());
    }
  } catch (Exception e) {
    return new FurSYS_DATA(true, "(null)");
  }
}
public static FurSYS_DATA VERSION(FurSYS_DATA DATA1) {
  try {
    if (DATA1.isNull) {
      return new FurSYS_DATA(true, "(null)");
    } else {
      return new FurSYS_DATA(false, ""+FurPRGM_6.getVersion(DATA1.DATA));
    }
  } catch (Exception e) {
    return new FurSYS_DATA(true, "(null)");
  }
}
public static FurSYS_DATA ZERO(FurSYS_DATA DATA1) {
  try {
    if (DATA1.isNull) {
      return new FurSYS_DATA(true, "(null)");
    } else {
      if (DATA1.DATA.equals("")) return new FurSYS_DATA(false, "0");
      else return new FurSYS_DATA(false, DATA1.DATA);
    }
  } catch (Exception e) {
    return new FurSYS_DATA(true, "(null)");
  }
}
}
