package re.jimmitry.apps974.furious;
import re.jimmitry.apps974.furious.*;
import java.io.*;
public class Transaction {
public String Name="", Type="", CN="", IF="", ParseSELECTVar="";
public Where[] WhereList = null;

public Transaction(String ID, String transaction) throws Exception {
  try {
    this.Name=transaction;
    this.Type=Fur_File.getINIinfos("webapps/DBSConnector/SQLEXECUTIONS/"+ID+"/EXECS/BEGIN/"+transaction+"/infos", "INFOS", "Type");
    this.CN=Fur_File.getINIinfos("webapps/DBSConnector/SQLEXECUTIONS/"+ID+"/EXECS/BEGIN/"+transaction+"/infos", "INFOS", "CN");
    this.IF=Fur_File.getINIinfos("webapps/DBSConnector/SQLEXECUTIONS/"+ID+"/EXECS/BEGIN/"+transaction+"/infos", "INFOS", "IF");
    this.ParseSELECTVar=Fur_File.getINIinfos("webapps/DBSConnector/SQLEXECUTIONS/"+ID+"/EXECS/BEGIN/"+transaction+"/infos", "INFOS", "ParseSELECTVar");
    File dirWheres = new File("webapps/DBSConnector/SQLEXECUTIONS/"+ID+"/EXECS/BEGIN/"+transaction+"/Wheres");
    String[] Wheres = dirWheres .list();
    if (Wheres!=null) java.util.Arrays.sort(Wheres);
    String where ="";
    WhereList= new Where[Wheres.length]; 
    for (int iWhere=0; iWhere<Wheres.length; iWhere++) {
      where = Wheres[iWhere];
      WhereList[iWhere]=new Where(ID, transaction, where);
    }
  } catch (Exception e) {
    throw new FuriousPOOLException_SYS("Unknown error when loading "+ID+" Transaction ..."+e.getMessage());
  }
}
}
